Bug 1128297 - Creating new Architecture in UI always prefills name with x86_64
Summary: Creating new Architecture in UI always prefills name with x86_64
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 20:11 UTC by sthirugn@redhat.com
Modified: 2017-02-23 21:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-13 16:19:33 UTC


Attachments (Terms of Use)
new Architecture name always prefilled with x86_64 (44.29 KB, image/png)
2014-08-08 20:12 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6506 None None None 2016-04-22 15:38:25 UTC

Description sthirugn@redhat.com 2014-08-08 20:11:27 UTC
Description of problem:
Creating new Architecture in UI always prefills name with x86_64

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Host -> Architecture
2. Click on New Architecture

Actual results:
The Architecture name prefills with x86_64 (see screenshot)

Expected results:
The new Architecture name should be blank for the user to enter

Additional info:

Comment 1 sthirugn@redhat.com 2014-08-08 20:12:14 UTC
Created attachment 925297 [details]
new Architecture name always prefilled with x86_64

Comment 3 Dominic Cleal 2014-08-11 07:19:59 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6506 from this bug

Comment 4 Bryan Kearney 2014-08-13 16:19:33 UTC
These bugs have been closed upstream. You will see this in a future release of Satellite 6.


Note You need to log in before you can comment on or make changes to this bug.